Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Contact Center

Twenty new APIs and two new webhook events; additional request and response fields in existing endpoints and events

API releaseNew feature

Summary:Twenty new APIs and two new webhook events; additional request and response fields across over 25 API endpoints and 8 webhook events.

Added

  • New Campaigns APIs:
    • GET /v2/contact_center/outbound_campaign/contact_list_custom_fields
    • GET /v2/contact_center/outbound_campaign/contact_list_custom_fields/{customFieldId}
    • DELETE /v2/contact_center/outbound_campaign/contact_list_custom_fields/{customFieldId}
    • PATCH /v2/contact_center/outbound_campaign/contact_list_custom_fields/{customFieldId}
    • POST /v2/contact_center/outbound_campaign/contact_list_custom_fields
    • GET /v2/contact_center/outbound_campaign/contacts/{contactId}/custom_fields
  • New Queues API:
    • GET /v2/contact_center/queues/{queueId}/interrupt
  • New Engagements APIs:
    • GET /v2/contact_center/engagements/{engagementId}/transfer/flows
    • GET /v2/contact_center/engagements/{engagementId}/transfer/users
    • GET /v2/contact_center/engagements/{engagementId}/transfer/queues
  • New Block List Rules APIs:
    • DELETE /v2/contact_center/block_list_rules/phone_numbers
    • GET /v2/contact_center/block_list_rules/ip_addresses/{ipAddressBlockListRuleId}
    • GET /v2/contact_center/block_list_rules/phone_numbers/{phoneBlockListRuleId}
    • POST /v2/contact_center/block_list_rules/ip_addresses
    • GET /v2/contact_center/block_list_rules/ip_addresses
    • DELETE /v2/contact_center/block_list_rules/ip_addresses
    • POST /v2/contact_center/block_list_rules/phone_numbers
    • GET /v2/contact_center/block_list_rules/phone_numbers
  • New RTMS API:
    • PUT /v2/contact_center/{engagementId}/rtms_app/status
  • New Call Control webhook event:
    • contact_center.call_control_conference_warm_invite_executed
    • contact_center.call_control_end_call_executed

Changed

  • New contact_phone_order. second_attempt_period. allow_retry_preview_dialer. assign_type. other_attempt_period. dial_sequence. max_attempts_per_contact. enable_diagnostics. attempts_use_same_period. contact_order. retry_period_unit. third_attempt_period. exclusion_logic. enable_always_running. retry_period, and campaign_do_not_contact_list response fields in this Campaigns API:
    • GET /v2/contact_center/outbound_campaign/campaigns/{campaignId}
  • New engagement_action. target_agent_id. target_flow_id, and target_queue_id request fields in this Engagements API:
    • PATCH /v2/contact_center/engagements/{engagementId}
  • New enable_callback_offer_time and resend_callback_url_time_in_seconds request fields in this Queues API:
    • PATCH /v2/contact_center/queues/{queueId}
  • New cc_user_id response field in this Roles API:
    • GET /v2/contact_center/roles/{roleId}/users
  • New user_ids request field in this Inboxes API:
    • POST /v2/contact_center/inboxes/{inboxId}/users
  • New disable_audio request field in this Queues API:
    • PATCH /v2/contact_center/queues/{queueId}/interrupt
  • New object_id response field in this Reports V2(CX Analytics) API:
    • GET /v2/contact_center/reports/operation_logs
  • New custom_fields request field in this Campaigns APIs:
    • PATCH /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts
    • PATCH /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts/{contactId}
    • POST /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts
  • New page_size and highest_watermark request fields in this Variables API:
    • GET /v2/contact_center/variable_logs
  • New third_party_dialer_wait_duration response field in this Reports V2(CX Analytics) API:
    • GET /v2/contact_center/analytics/dataset/historical/agent_performance
  • New billing_account_name and cc_user_id response fields in these Users APIs:
    • GET /v2/contact_center/users/{userId}
    • GET /v2/contact_center/users
    • POST /v2/contact_center/users
    • POST /v2/contact_center/users/batch
  • New cc_user_id response field in these Queues APIs:
    • GET /v2/contact_center/queues/{queueId}/agents
    • GET /v2/contact_center/queues/{queueId}/supervisors
    • POST /v2/contact_center/queues/{queueId}/agents
    • POST /v2/contact_center/queues/{queueId}/supervisors
  • New emergency_calling request field in these Users APIs:
    • POST /v2/contact_center/users
    • PATCH /v2/contact_center/users/{userId}
  • New billing_account_id response field in these Users APIs:
    • GET /v2/contact_center/users/{userId}
    • GET /v2/contact_center/users
    • POST /v2/contact_center/users
    • POST /v2/contact_center/users/templates
    • GET /v2/contact_center/users/templates/{templateId}
    • POST /v2/contact_center/users/batch
  • New ani_from,dnis_to response fields in these Reports V2(CX Analytics) APIs:
    • GET /v2/contact_center/analytics/dataset/historical/flow_performance
    • GET /v2/contact_center/analytics/dataset/historical/queue_performance
  • New billing_account_id request field in these Users APIs:
    • PATCH /v2/contact_center/users/templates/{templateId}
    • PATCH /v2/contact_center/users
    • POST /v2/contact_center/users
    • PATCH /v2/contact_center/users/{userId}
    • POST /v2/contact_center/users/templates
    • POST /v2/contact_center/users/batch
  • New emergency_calling response field in these Users APIs:
    • GET /v2/contact_center/users/{userId}
    • POST /v2/contact_center/users
  • New bucket_id request field in these Queues APIs:
    • DELETE /v2/contact_center/queues/{queueId}/interrupt_menu
    • PATCH /v2/contact_center/queues/{queueId}/interrupt
    • POST /v2/contact_center/queues/{queueId}/interrupt_menu
  • New destination response field in these Reports V2(CX Analytics) API:
    • GET /v2/contact_center/analytics/dataset/historical/flow_performance
  • New cc_user_id response field in these Teams APIs:
    • GET /v2/contact_center/teams/{teamId}/supervisors
    • POST /v2/contact_center/teams/{teamId}/supervisors
    • GET /v2/contact_center/teams/{teamId}/agents
    • POST /v2/contact_center/teams/{teamId}/agents
  • New custom_fields response field in these Campaigns APIs:
    • GET /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts
    • POST /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts
    • GET /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts/{contactId}
  • New aiea_usage response field in this Reports V2(CX Analytics) API:
    • GET /v2/contact_center/analytics/dataset/historical/engagement
  • New contact_list_type response field in this Campaigns API:
    • GET /v2/contact_center/outbound_campaign/contact_lists/{contactListId}
  • New download_url field in this Consumer Actions webhook events:
    • contact_center.engagement_consumer_sent_file
  • New download_url field in this Agent Actions webhook events:
    • contact_center.engagement_user_sent_file
  • New request_id field in these Task Reservations webhook events:
    • contact_center.task_reservation_created
    • contact_center.task_reservation_canceled
    • contact_center.task_reservation_rejected
    • contact_center.task_reservation_accepted
    • contact_center.task_reservation_completed
    • contact_center.task_reservation_timeout